autopkgtest fails in hirsute

Bug #1903573 reported by Balint Reczey on 2020-11-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
postgresql-12 (Ubuntu)
Undecided
Unassigned

Bug Description

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-hirsute/hirsute/amd64/p/postgresql-12/20201104_194339_0a493@/log.gz

Dropping cluster 12/regress ...
diff -U3 /tmp/autopkgtest.WMKbRy/build.LrW/src/src/test/regress/expected/timetz.out /tmp/autopkgtest.WMKbRy/build.LrW/src/src/test/regress/results/timetz.out
--- /tmp/autopkgtest.WMKbRy/build.LrW/src/src/test/regress/expected/timetz.out 2020-08-10 21:15:53.000000000 +0000
+++ /tmp/autopkgtest.WMKbRy/build.LrW/src/src/test/regress/results/timetz.out 2020-11-04 19:42:46.031795913 +0000
@@ -94,25 +94,25 @@
 SELECT '23:59:59.999999'::timetz;
        timetz
 --------------------
- 23:59:59.999999-07
+ 23:59:59.999999-08
 (1 row)

 SELECT '23:59:59.9999999'::timetz; -- rounds up
    timetz
 -------------
- 24:00:00-07
+ 24:00:00-08
 (1 row)

 SELECT '23:59:60'::timetz; -- rounds up
    timetz
 -------------
- 24:00:00-07
+ 24:00:00-08
 (1 row)

 SELECT '24:00:00'::timetz; -- allowed
    timetz
 -------------
- 24:00:00-07
+ 24:00:00-08
 (1 row)

 SELECT '24:00:00.01'::timetz; -- not allowed
+ cat regression.diffs
+ exit 1
autopkgtest [19:43:27]: test installcheck: -----------------------]
autopkgtest [19:43:27]: test installcheck: - - - - - - - - - - results - - - - - - - - - -
installcheck FAIL non-zero exit status 1

Changed in postgresql-12 (Ubuntu):
status: New → Triaged

This is a known issue around TZ which will be fixed in the next round of stable release updates.

Changed in postgresql-12 (Ubuntu):
status: Triaged → In Progress

FYI - the same timetz issue was on build and I can confirm from the PPA that it is fixed with 12.5

FYI: Uploaded to hirsute

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers